Subject: [straw] B2BUA traceroute/media-loopback

From: Hadriel Kaplan <[email-masked]>
Date: Tue, 5 Mar 2013 17:42:45 +0000

Howdy,
One of this WG's chartered deliverables is the following:
   "A document defining the requirements for B2BUAs to support end-to-end and hop-by-hop media-loopback test calls submitted to the IESG as PS"

I had submitted a draft previously for consideration to fulfill that deliverable:
http://tools.ietf.org/html/draft-kaplan-straw-sip-traceroute-00

But I've not re-submitted it for this upcoming IETF meeting because there were some strong concerns raised about it from folks at the last WG meeting.  So I'm not planning on re-submitting it - we'll just use the Max-Forwards header for this mechanism instead, for which we need no IETF document.

So unless someone else plans on submitting an ID for that deliverable, ya might want to remove it.

-hadriel

---

From: Brett Tate <[email-masked]>
Date: Tue, 5 Mar 2013 18:38:53 +0000

Hi,

The following email hints as to why using Max-Forwards might not be desired (if value 0 indicates to setup media-loopback call).

http://www.ietf.org/mail-archive/web/straw/current/msg00028.html

If straw (such as draft-kaplan-straw-b2bua-loop-detection) requires a B2BUA to decrement the Max-Forwards, the Max-Forwards of 0 might prevent a B2BUA from relaying the INVITE to its media server to answer the media-loopback call.

-brett

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Hadriel Kaplan
> Sent: Tuesday, March 05, 2013 12:43 PM
> To: <[email-masked]>
> Subject: [straw] B2BUA traceroute/media-loopback
> 
> Howdy,
>    "A document defining the requirements for B2BUAs to support end-to-
> end and hop-by-hop media-loopback test calls submitted to the IESG as
> PS"
> 
> But I've not re-submitted it for this upcoming IETF meeting because
> there were some strong concerns raised about it from folks at the last
> WG meeting.  So I'm not planning on re-submitting it - we'll just use
> the Max-Forwards header for this mechanism instead, for which we need
> no IETF document.
>

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 06 Mar 2013 02:53:06 +0800

> If straw (such as draft-kaplan-straw-b2bua-loop-detection) requires a B2BUA to decrement the Max-Forwards, the Max-Forwards of 0 might prevent a B2BUA from relaying the INVITE to its media server t…

I don't understand. draft-kaplan-straw-b2bua-loop-detection essentially 
means that a B2BUA should act as a proxy wrt Max-Forwards.

If Max-Forwards is being used to target a box along the signaling path 
for purpose doing loopback testing, then the zero value should mean this 
is the endpoint for the loopback test. If the intent had been to reach 
the next hop beyond the B2BUA then the initial Max-Forwards value should 
have been one greater.

	Thanks,
	Paul

> _______________________________________________
> straw mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/straw
>

---

From: "Muthu Arul Mozhi Perumal (mperumal)" <[email-masked]>
Date: Tue, 5 Mar 2013 19:17:36 +0000

|If Max-Forwards is being used to target a box along the signaling path
|for purpose doing loopback testing, then the zero value should mean this
|is the endpoint for the loopback test.

That would need specifying additional semantics for Max-Forwards, right? By default the receiver (proxy/B2BUA/whatever) would reject the request with a 483(Too Many Hops) error response. This looks would need a new I-D specifying those semantics.

Muthu

|-----Original Message-----
|From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
|Sent: Wednesday, March 06, 2013 12:23 AM
|To: [email-masked]
|Subject: Re: [straw] B2BUA traceroute/media-loopback
|
|On 3/6/13 2:38 AM, Brett Tate wrote:
|> Hi,
|>
|> The following email hints as to why using Max-Forwards might not be desired (if value 0 indicates to
|setup media-loopback call).
|>
|> http://www.ietf.org/mail-archive/web/straw/current/msg00028.html
|>
|> If straw (such as draft-kaplan-straw-b2bua-loop-detection) requires a B2BUA to decrement the Max-
|Forwards, the Max-Forwards of 0 might prevent a B2BUA from relaying the INVITE to its media server to
|answer the media-loopback call.
|
|I don't understand. draft-kaplan-straw-b2bua-loop-detection essentially
|means that a B2BUA should act as a proxy wrt Max-Forwards.
|
|If Max-Forwards is being used to target a box along the signaling path
|for purpose doing loopback testing, then the zero value should mean this
|is the endpoint for the loopback test. If the intent had been to reach
|the next hop beyond the B2BUA then the initial Max-Forwards value should
|have been one greater.
|
|	Thanks,
|	Paul
|
|
|> -brett
|>
|>> -----Original Message-----
|>> From: [email-masked] [mailto:[email-masked]] On Behalf
|>> Of Hadriel Kaplan
|>> Sent: Tuesday, March 05, 2013 12:43 PM
|>> To: <[email-masked]>
|>> Subject: [straw] B2BUA traceroute/media-loopback
|>>
|>> Howdy,
|>> One of this WG's chartered deliverables is the following:
|>>     "A document defining the requirements for B2BUAs to support end-to-
|>> end and hop-by-hop media-loopback test calls submitted to the IESG as
|>> PS"
|>>
|>> I had submitted a draft previously for consideration to fulfill that
|>> deliverable:
|>> http://tools.ietf.org/html/draft-kaplan-straw-sip-traceroute-00
|>>
|>> But I've not re-submitted it for this upcoming IETF meeting because
|>> there were some strong concerns raised about it from folks at the last
|>> WG meeting.  So I'm not planning on re-submitting it - we'll just use
|>> the Max-Forwards header for this mechanism instead, for which we need
|>> no IETF document.
|>>
|>> So unless someone else plans on submitting an ID for that deliverable,
|>> ya might want to remove it.
|>>
|>> -hadriel
|>
|> _______________________________________________
|> straw mailing list
|> [email-masked]
|> https://www.ietf.org/mailman/listinfo/straw
|>
|
|_______________________________________________
|straw mailing list
[email-masked]
|https://www.ietf.org/mailman/listinfo/straw

---

From: Brett Tate <[email-masked]>
Date: Tue, 5 Mar 2013 19:41:25 +0000

> > The following email hints as to why using Max-Forwards 
> > might not be desired (if value 0 indicates to setup 
> > media-loopback call).
> >
> > If straw (such as draft-kaplan-straw-b2bua-loop-detection) 
> > requires a B2BUA to decrement the Max-Forwards, the 
> > Max-Forwards of 0 might prevent a B2BUA from relaying 
> > the INVITE to its media server to answer the media-loopback 
> > call.
>
> I don't understand. draft-kaplan-straw-b2bua-loop-detection 
> essentially means that a B2BUA should act as a proxy wrt 
> Max-Forwards.
> 
> If Max-Forwards is being used to target a box along the 
> signaling path for purpose doing loopback testing, then the 
> zero value should mean this is the endpoint for the loopback 
> test. If the intent had been to reach the next hop beyond 
> the B2BUA then the initial Max-Forwards value should have 
> been one greater.

That was one of my questions within the msg00028.html email.

"If a B2BUA receives B2bua-Hops 0, should the B2BUA send INVITE to its media server to answer?"

I don't have an opinion on the topic.

If Max-Forwards was 1, the B2BUA would not pull in its media server unless caused by something else.

If the B2BUA doesn't answer calls from a media perspective (i.e. it instead sends INVITE to media server to play treatments, auto attendant, et cetera), that means such a B2BUA will not "support end-to-end and hop-by-hop media-loopback test calls" through the use of Max-Forwards.

Thanks,
Brett

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 06 Mar 2013 04:41:00 +0800

> That would need specifying additional semantics for Max-Forwards, right? By default the receiver (proxy/B2BUA/whatever) would reject the request with a 483(Too Many Hops) error response. This looks…

Not really.

A proxy is permitted to respond to an OPTIONS when Max-Forwards is zero.
That is intended to provide a traceroute like capability. And it sets a 
precedent.

In *this* case the B2BUA, because it is a UA, can process a request with 
Max-Forwards of zero. (The additional semantics are really when it 
decides to forward the request with a decreased max-forwards.)

	Thanks,
	Paul

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 06 Mar 2013 04:46:11 +0800

> "If a B2BUA receives B2bua-Hops 0, should the B2BUA send INVITE to its media server to answer?"

I guess you have a different architecture for the box in mind than I do.

I was thinking that if the box normally acts as a media relay, then it 
probably does so as part of *its* server transaction. But of course 
there are an infinite number of ways to decompose the functions.

> If the B2BUA doesn't answer calls from a media perspective (i.e. it instead sends INVITE to media server to play treatments, auto attendant, et cetera), that means such a B2BUA will not "support en…

Yeah, if it doesn't do media then it presumably doesn't do media loopback.

	Thanks,
	Paul

---

From: "Muthu Arul Mozhi Perumal (mperumal)" <[email-masked]>
Date: Wed, 6 Mar 2013 07:20:17 +0000

|In *this* case the B2BUA, because it is a UA, can process a request with
|Max-Forwards of zero.

Sure, it may be allowed to process the INVITE, but how would the B2BUA know the sender wanted it to loopback the media streams and not send a 483 error response instead? The B2BUAs I've seen send a 483 if they aren't final target of the INVITE.

Muthu

|-----Original Message-----
|From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
|Sent: Wednesday, March 06, 2013 2:11 AM
|To: Muthu Arul Mozhi Perumal (mperumal)
|Cc: [email-masked]
|Subject: Re: [straw] B2BUA traceroute/media-loopback
|
|On 3/6/13 3:17 AM, Muthu Arul Mozhi Perumal (mperumal) wrote:
|> |If Max-Forwards is being used to target a box along the signaling path
|> |for purpose doing loopback testing, then the zero value should mean this
|> |is the endpoint for the loopback test.
|>
|> That would need specifying additional semantics for Max-Forwards, right? By default the receiver
|(proxy/B2BUA/whatever) would reject the request with a 483(Too Many Hops) error response. This looks
|would need a new I-D specifying those semantics.
|
|Not really.
|
|A proxy is permitted to respond to an OPTIONS when Max-Forwards is zero.
|That is intended to provide a traceroute like capability. And it sets a
|precedent.
|
|In *this* case the B2BUA, because it is a UA, can process a request with
|Max-Forwards of zero. (The additional semantics are really when it
|decides to forward the request with a decreased max-forwards.)
|
|	Thanks,
|	Paul
|
|> Muthu
|>
|> |-----Original Message-----
|> |From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
|> |Sent: Wednesday, March 06, 2013 12:23 AM
|> |To: [email-masked]
|> |Subject: Re: [straw] B2BUA traceroute/media-loopback
|> |
|> |On 3/6/13 2:38 AM, Brett Tate wrote:
|> |> Hi,
|> |>
|> |> The following email hints as to why using Max-Forwards might not be desired (if value 0 indicates
|to
|> |setup media-loopback call).
|> |>
|> |> http://www.ietf.org/mail-archive/web/straw/current/msg00028.html
|> |>
|> |> If straw (such as draft-kaplan-straw-b2bua-loop-detection) requires a B2BUA to decrement the Max-
|> |Forwards, the Max-Forwards of 0 might prevent a B2BUA from relaying the INVITE to its media server
|to
|> |answer the media-loopback call.
|> |
|> |I don't understand. draft-kaplan-straw-b2bua-loop-detection essentially
|> |means that a B2BUA should act as a proxy wrt Max-Forwards.
|> |
|> |If Max-Forwards is being used to target a box along the signaling path
|> |for purpose doing loopback testing, then the zero value should mean this
|> |is the endpoint for the loopback test. If the intent had been to reach
|> |the next hop beyond the B2BUA then the initial Max-Forwards value should
|> |have been one greater.
|> |
|> |	Thanks,
|> |	Paul
|> |
|> |
|> |> -brett
|> |>
|> |>> -----Original Message-----
|> |>> From: [email-masked] [mailto:[email-masked]] On Behalf
|> |>> Of Hadriel Kaplan
|> |>> Sent: Tuesday, March 05, 2013 12:43 PM
|> |>> To: <[email-masked]>
|> |>> Subject: [straw] B2BUA traceroute/media-loopback
|> |>>
|> |>> Howdy,
|> |>> One of this WG's chartered deliverables is the following:
|> |>>     "A document defining the requirements for B2BUAs to support end-to-
|> |>> end and hop-by-hop media-loopback test calls submitted to the IESG as
|> |>> PS"
|> |>>
|> |>> I had submitted a draft previously for consideration to fulfill that
|> |>> deliverable:
|> |>> http://tools.ietf.org/html/draft-kaplan-straw-sip-traceroute-00
|> |>>
|> |>> But I've not re-submitted it for this upcoming IETF meeting because
|> |>> there were some strong concerns raised about it from folks at the last
|> |>> WG meeting.  So I'm not planning on re-submitting it - we'll just use
|> |>> the Max-Forwards header for this mechanism instead, for which we need
|> |>> no IETF document.
|> |>>
|> |>> So unless someone else plans on submitting an ID for that deliverable,
|> |>> ya might want to remove it.
|> |>>
|> |>> -hadriel
|> |>
|> |> _______________________________________________
|> |> straw mailing list
|> |> [email-masked]
|> |> https://www.ietf.org/mailman/listinfo/straw
|> |>
|> |
|> |_______________________________________________
|> |straw mailing list
|> [email-masked]
|> |https://www.ietf.org/mailman/listinfo/straw
|>
|
|_______________________________________________
|straw mailing list
[email-masked]
|https://www.ietf.org/mailman/listinfo/straw

---

From: Brett Tate <[email-masked]>
Date: Wed, 6 Mar 2013 12:36:39 +0000

> |In *this* case the B2BUA, because it is a UA, can 
> |process a request with Max-Forwards of zero.
> 
> Sure, it may be allowed to process the INVITE, but 
> how would the B2BUA know the sender wanted it to 
> loopback the media streams and not send a 483 error 
> response instead? The B2BUAs I've seen send a 483 
> if they aren't final target of the INVITE.

I agree; something would be needed to override the RFC 3261 requirement.  If an individual draft isn't desired to specify the new preferred behavior, one option is to update draft-kaplan-straw-b2bua-loop-detection to 1) define an option-tag to indicated the preferred behavior or 2) indicate the preferred behavior when SDP contains RFC 6849's loopback attribute.

RFC 3261 section 8.1.1.6:

"The Max-Forwards header field serves to limit the number of hops a
 request can transit on the way to its destination.  It consists of an
 integer that is decremented by one at each hop.  If the Max-Forwards
 value reaches 0 before the request reaches its destination, it will
 be rejected with a 483(Too Many Hops) error response."

RFC 3261 section 16.3:

"If the request contains a Max-Forwards header field with a field
 value of zero (0), the element MUST NOT forward the request.  If
 the request was for OPTIONS, the element MAY act as the final
 recipient and respond per Section 11.  Otherwise, the element MUST
 return a 483 (Too many hops) response."

Draft-kaplan-straw-b2bua-loop-detection-01 section 5:

"Being a UAS, B2BUAs MUST also check the received Max-Forwards header
 field and reject or respond to the request if the value is zero, as
 defined in [RFC3261]."

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 06 Mar 2013 22:13:17 +0800

> Sure, it may be allowed to process the INVITE, but how would the B2BUA know the sender wanted it to loopback the media streams and not send a 483 error response instead? The B2BUAs I've seen send a…

How does a proxy know to send a 200 response to an OPTIONS rather than 
an error when Max-Forwards is zero? Because it is one of the valid 
behaviors.

In the current case, presumably the fact that the request is for media 
loopback. That isn't the normal sort of request. Presumably someone 
sending it knows what they are doing, including paying attention to 
Max-Forwards.

	Thanks,
	Paul

---

From: "Muthu Arul Mozhi Perumal (mperumal)" <[email-masked]>
Date: Thu, 7 Mar 2013 00:48:16 +0000

|In the current case, presumably the fact that the request is for media
|loopback. That isn't the normal sort of request. Presumably someone
|sending it knows what they are doing, including paying attention to
|Max-Forwards.

That's the new semantics then. I think I can live with it. Given that the B2BUA processing is different here compared to its normal processing of an INVITE for purposes other than media loopback, I think the semantics need to be specified somewhere. In addition, I think the originator would want to know if the request was answered by an intermediary or by the final target, to at least stop sending further requests with incremental Max-Forwards.

thanks,
Muthu

|-----Original Message-----
|From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
|Sent: Wednesday, March 06, 2013 7:43 PM
|To: Muthu Arul Mozhi Perumal (mperumal)
|Cc: [email-masked]
|Subject: Re: [straw] B2BUA traceroute/media-loopback
|
|On 3/6/13 3:20 PM, Muthu Arul Mozhi Perumal (mperumal) wrote:
|> |In *this* case the B2BUA, because it is a UA, can process a request with
|> |Max-Forwards of zero.
|>
|> Sure, it may be allowed to process the INVITE, but how would the B2BUA know the sender wanted it to
|loopback the media streams and not send a 483 error response instead? The B2BUAs I've seen send a 483
|if they aren't final target of the INVITE.
|
|How does a proxy know to send a 200 response to an OPTIONS rather than
|an error when Max-Forwards is zero? Because it is one of the valid
|behaviors.
|
|In the current case, presumably the fact that the request is for media
|loopback. That isn't the normal sort of request. Presumably someone
|sending it knows what they are doing, including paying attention to
|Max-Forwards.
|
|	Thanks,
|	Paul
|
|> Muthu
|>
|> |-----Original Message-----
|> |From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
|> |Sent: Wednesday, March 06, 2013 2:11 AM
|> |To: Muthu Arul Mozhi Perumal (mperumal)
|> |Cc: [email-masked]
|> |Subject: Re: [straw] B2BUA traceroute/media-loopback
|> |
|> |On 3/6/13 3:17 AM, Muthu Arul Mozhi Perumal (mperumal) wrote:
|> |> |If Max-Forwards is being used to target a box along the signaling path
|> |> |for purpose doing loopback testing, then the zero value should mean this
|> |> |is the endpoint for the loopback test.
|> |>
|> |> That would need specifying additional semantics for Max-Forwards, right? By default the receiver
|> |(proxy/B2BUA/whatever) would reject the request with a 483(Too Many Hops) error response. This
|looks
|> |would need a new I-D specifying those semantics.
|> |
|> |Not really.
|> |
|> |A proxy is permitted to respond to an OPTIONS when Max-Forwards is zero.
|> |That is intended to provide a traceroute like capability. And it sets a
|> |precedent.
|> |
|> |In *this* case the B2BUA, because it is a UA, can process a request with
|> |Max-Forwards of zero. (The additional semantics are really when it
|> |decides to forward the request with a decreased max-forwards.)
|> |
|> |	Thanks,
|> |	Paul
|> |
|> |> Muthu
|> |>
|> |> |-----Original Message-----
|> |> |From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
|> |> |Sent: Wednesday, March 06, 2013 12:23 AM
|> |> |To: [email-masked]
|> |> |Subject: Re: [straw] B2BUA traceroute/media-loopback
|> |> |
|> |> |On 3/6/13 2:38 AM, Brett Tate wrote:
|> |> |> Hi,
|> |> |>
|> |> |> The following email hints as to why using Max-Forwards might not be desired (if value 0
|indicates
|> |to
|> |> |setup media-loopback call).
|> |> |>
|> |> |> http://www.ietf.org/mail-archive/web/straw/current/msg00028.html
|> |> |>
|> |> |> If straw (such as draft-kaplan-straw-b2bua-loop-detection) requires a B2BUA to decrement the
|Max-
|> |> |Forwards, the Max-Forwards of 0 might prevent a B2BUA from relaying the INVITE to its media
|server
|> |to
|> |> |answer the media-loopback call.
|> |> |
|> |> |I don't understand. draft-kaplan-straw-b2bua-loop-detection essentially
|> |> |means that a B2BUA should act as a proxy wrt Max-Forwards.
|> |> |
|> |> |If Max-Forwards is being used to target a box along the signaling path
|> |> |for purpose doing loopback testing, then the zero value should mean this
|> |> |is the endpoint for the loopback test. If the intent had been to reach
|> |> |the next hop beyond the B2BUA then the initial Max-Forwards value should
|> |> |have been one greater.
|> |> |
|> |> |	Thanks,
|> |> |	Paul
|> |> |
|> |> |
|> |> |> -brett
|> |> |>
|> |> |>> -----Original Message-----
|> |> |>> From: [email-masked] [mailto:[email-masked]] On Behalf
|> |> |>> Of Hadriel Kaplan
|> |> |>> Sent: Tuesday, March 05, 2013 12:43 PM
|> |> |>> To: <[email-masked]>
|> |> |>> Subject: [straw] B2BUA traceroute/media-loopback
|> |> |>>
|> |> |>> Howdy,
|> |> |>> One of this WG's chartered deliverables is the following:
|> |> |>>     "A document defining the requirements for B2BUAs to support end-to-
|> |> |>> end and hop-by-hop media-loopback test calls submitted to the IESG as
|> |> |>> PS"
|> |> |>>
|> |> |>> I had submitted a draft previously for consideration to fulfill that
|> |> |>> deliverable:
|> |> |>> http://tools.ietf.org/html/draft-kaplan-straw-sip-traceroute-00
|> |> |>>
|> |> |>> But I've not re-submitted it for this upcoming IETF meeting because
|> |> |>> there were some strong concerns raised about it from folks at the last
|> |> |>> WG meeting.  So I'm not planning on re-submitting it - we'll just use
|> |> |>> the Max-Forwards header for this mechanism instead, for which we need
|> |> |>> no IETF document.
|> |> |>>
|> |> |>> So unless someone else plans on submitting an ID for that deliverable,
|> |> |>> ya might want to remove it.
|> |> |>>
|> |> |>> -hadriel
|> |> |>
|> |> |> _______________________________________________
|> |> |> straw mailing list
|> |> |> [email-masked]
|> |> |> https://www.ietf.org/mailman/listinfo/straw
|> |> |>
|> |> |
|> |> |_______________________________________________
|> |> |straw mailing list
|> |> [email-masked]
|> |> |https://www.ietf.org/mailman/listinfo/straw
|> |>
|> |
|> |_______________________________________________
|> |straw mailing list
|> [email-masked]
|> |https://www.ietf.org/mailman/listinfo/straw
|>
|
|_______________________________________________
|straw mailing list
[email-masked]
|https://www.ietf.org/mailman/listinfo/straw

---

From: "Muthu Arul Mozhi Perumal (mperumal)" <[email-masked]>
Date: Thu, 7 Mar 2013 00:55:51 +0000

|But I've not re-submitted it for this upcoming IETF meeting because 
|there were some strong concerns raised about it from folks at the last 
|WG meeting.  So I'm not planning on re-submitting it - we'll
|just use the Max-Forwards header for this mechanism instead, for which 
|we need no IETF document.

I was in that meeting. IIRC, the primary concern was providers many not allow someone else to initiate media loopback test calls into their network -- this is also captured in the minutes:
http://tools.ietf.org/wg/straw/minutes?item=minutes-84-straw.html

The concern was not on the mechanism (Max-Forwards vs some other header), but a particular use case, I think. That doesn't preclude its usefulness in other use cases.

Muthu

|-----Original Message-----
|From: [email-masked] [mailto:[email-masked]] On Behalf Of Hadriel Kaplan
|Sent: Tuesday, March 05, 2013 11:13 PM
|To: <[email-masked]>
|Subject: [straw] B2BUA traceroute/media-loopback
|
|Howdy,
|One of this WG's chartered deliverables is the following:
|   "A document defining the requirements for B2BUAs to support end-to-end and hop-by-hop media-
|loopback test calls submitted to the IESG as PS"
|
|I had submitted a draft previously for consideration to fulfill that deliverable:
|http://tools.ietf.org/html/draft-kaplan-straw-sip-traceroute-00
|
|But I've not re-submitted it for this upcoming IETF meeting because there were some strong concerns
|raised about it from folks at the last WG meeting.  So I'm not planning on re-submitting it - we'll
|just use the Max-Forwards header for this mechanism instead, for which we need no IETF document.
|
|So unless someone else plans on submitting an ID for that deliverable, ya might want to remove it.
|
|-hadriel
|
|_______________________________________________
|straw mailing list
[email-masked]
|https://www.ietf.org/mailman/listinfo/straw